Send in Plain Text
Introduction to Send Transaction v2 of BlockRazor Solana Fast mode and integration methods
Last updated
Was this helpful?
Introduction to Send Transaction v2 of BlockRazor Solana Fast mode and integration methods
Solana's transaction sending service is not bound to the subscription plan, with rate limit default to 3 TPS. If you need to increase the TPS limit, please contact us and we will handle it as soon as possible.
Send in Plain Text is used to send signed transaction on Solana based on HTTP. It presents a much more streamlined and rapid method for submitting transactions compared with Send Transaction
Bypasses CORS Preflight: It eliminates the delay (50-100ms) that is typically incurred by OPTIONS preflight.
Plain Text over JSON: Employing a simple plain text transmission circumvents the computational burden associated with parsing JSON. Furthermore, the resulting smaller data size serves to cut down on network transfer time and costs.
Base64: Comparing with base58, encoding and decoding of Base64 are significantly faster, while its more compact serialization results in a reduced overall body size.
Send in Plain Text's features make it more suitable for front-end transaction applications with a global user base.
POST /v2/sendTransaction
curl -X POST 'http://frankfurt.solana.blockrazor.xyz:443/v2/sendTransaction?auth=<auth_token>' \
-H "Content-Type: text/plain" \
-d "<base64_endcoded_tx>"Note:
the auth and request parameter are compulsory to be added in URI params, e.g., http://frankfurt.solana.blockrazor.xyz:443/v2/sendTransaction?auth=<auth_token>&mode=fast&revertProtection=true
the only header permitted in the request is Content-Type: text/plain
Tx should be in Base64 encoded
transaction
Mandatory
"4hXTCk……tAnaAT"
Fully signed transactions, Base64 encoded
mode
Optional
"fast" "sandwichMitigation"
BlockRazor offers two modes: Fast and SandwichMitigation, with Fast as the default. In fast mode, transactions are sent based on globally distributed high-performance network and high-quality SWQoS, reaching the Leader node with the lowest latency. In sandwichMitigation mode, BlockRazoz will route transactions to the trusted SWQoS and skip the slot of the blacklisted Leader (dynamically identified by the BlockRazor sandwich monitoring mechanism). In this mode, DO NOT send transactions using durable nonce, as it will cause the sandwich protection to become ineffective.
safeWindow
Optional
3
safeWindow is used to determine the timing of transaction sending in sandwichMitigation mode and represents the number of consecutive slots of whitelist validators. For example, if it is set to 3, the transaction will only be sent when 3 consecutive slots from the current slot belong to whitelist validators. The range of safeWindow is 3-13. The larger the number, the better the effect of mitigating the sandwich attack, but it may have a certain impact on the rate of inclusion. If not set, the default is 3.
revertProtection
Optional
false
The default value is false. If set to true, the transaction will not fail on chain, but the speed of inclusion will be affected and there is a possibility that it cannot be included. Please choose to enable it carefully according to actual needs.
200
OK
The request is normal
400
BadRequest
Invalid parameter
403
Forbidden
Request denied, as the authentication (auth) is empty, invalid, or expired.
500
InternalServerError
The server encountered an unexpected condition that prevented it from fulfilling the request
Last updated
Was this helpful?
Was this helpful?